> ## Documentation Index
> Fetch the complete documentation index at: https://ringq.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Recording

> Start and stop call recordings, list recorded files, and retrieve download links.

## Record Start

Initiates call recording on the specified agent's active call session.

**`POST /api/values/recordStart`**

### Parameters

| Parameter         | Type   | Required | Description                               |
| ----------------- | ------ | -------- | ----------------------------------------- |
| `action`          | string | ✓        | `"recordStart"`                           |
| `agentextension`  | string | ✓        | The extension whose active call to record |
| `pickupextension` | string | ✓        | The other party's extension               |

### Example

```bash theme={null}
curl -X POST "http://<ringq-fqdn>:8443/api/values/recordStart" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <API_KEY>" \
  -H "X-Secret-Key: <SECRET_KEY>" \
  -d '{
    "action": "recordStart",
    "agentextension": "101",
    "pickupextension": "102"
  }'
```

### Response

```json theme={null}
{
  "status": "success",
  "extension": "1155",
  "uuid": "4cc9c0f5-01cb-40a6-80ec-b7875e3596cf",
  "file": "/var/lib/freeswitch/recordings/domain.ringq.ai/1155-20260225.wav"
}
```

***

## Record Stop

Stops an active call recording session on the specified extension.

**`POST /api/values/recordStop`**

### Parameters

| Parameter         | Type   | Required | Description                           |
| ----------------- | ------ | -------- | ------------------------------------- |
| `action`          | string | ✓        | `"recordStop"`                        |
| `agentextension`  | string | ✓        | The extension whose recording to stop |
| `pickupextension` | string | ✓        | The other party's extension           |

### Example

```bash theme={null}
curl -X POST "http://<ringq-fqdn>:8443/api/values/recordStop" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <API_KEY>" \
  -H "X-Secret-Key: <SECRET_KEY>" \
  -d '{
    "action": "recordStop",
    "agentextension": "101",
    "pickupextension": "102"
  }'
```

### Response

```json theme={null}
{
  "status": "success",
  "extension": "1155",
  "uuid": "4cc9c0f5-01cb-40a6-80ec-b7875e3596cf",
  "file": "/var/lib/freeswitch/recordings/domain.ringq.ai/1155-20260225.wav"
}
```

***

## Recording List

Returns a list of call recordings associated with the specified extension.

**`POST /api/values/recordingList`**

### Parameters

| Parameter        | Type   | Required | Description                            |
| ---------------- | ------ | -------- | -------------------------------------- |
| `action`         | string | ✓        | `"recordingList"`                      |
| `agentextension` | string | ✓        | The extension whose recordings to list |

### Example

```bash theme={null}
curl -X POST "http://<ringq-fqdn>:8443/api/values/recordingList" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <API_KEY>" \
  -H "X-Secret-Key: <SECRET_KEY>" \
  -d '{
    "action": "recordingList",
    "agentextension": "101"
  }'
```

### Response

```json theme={null}
{
  "status": "success",
  "extension": "1013",
  "recordings": [
    {
      "filename": "1013-1155-02-25.mp3",
      "date": "2026-02-25",
      "duration": "00:03:12"
    }
  ]
}
```

***

## Recording Link

Retrieves a direct download URL for a specific call recording file.

**`POST /api/values/recordingLink`**

### Parameters

| Parameter        | Type   | Required | Description                                  |
| ---------------- | ------ | -------- | -------------------------------------------- |
| `action`         | string | ✓        | `"recordingLink"`                            |
| `agentextension` | string | ✓        | The extension that owns the recording        |
| `filename`       | string | ✓        | The recording filename (from Recording List) |

### Example

```bash theme={null}
curl -X POST "http://<ringq-fqdn>:8443/api/values/recordingLink" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: <API_KEY>" \
  -H "X-Secret-Key: <SECRET_KEY>" \
  -d '{
    "action": "recordingLink",
    "agentextension": "101",
    "filename": "1013-1155-02-25.mp3"
  }'
```

### Response

```json theme={null}
{
  "status": "success",
  "extension": "1013",
  "filename": "1013-1155-02-25.mp3",
  "download_url": "https://station.ind1.ringq.ai/recordings/1013-1155-02-25.mp3"
}
```
